Update multiple Definitions
curl --request PATCH \
--url https://commerce.driv.ly/api/definitions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"definition": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/definitions"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"definition": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
definition: '<string>'
})
};
fetch('https://commerce.driv.ly/api/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"definition": "<string>"
}
]
}Definitions
Update multiple Definitions
Update all Definitions matching the where query
PATCH
/
definitions
Update multiple Definitions
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { definitions } from '@drivly/commerce'
const sdk = new SDK(...)
const definitions = await sdk.definitions.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I